org.apache.fop.pdf.xref

## Class CrossReferenceObject

- java.lang.Object
- - org.apache.fop.pdf.xref.CrossReferenceObject

Direct Known Subclasses:
  CrossReferenceStream, CrossReferenceTable

    public abstract class CrossReferenceObject
    extends Object

A representation of the cross-reference data to be output at the end of a PDF file.

### Field Summary

Fields
`protected long` `startxref`
`protected TrailerDictionary` `trailerDictionary`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `output(OutputStream stream)` Writes the cross reference data to a PDF stream

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### trailerDictionary

    protected final TrailerDictionary trailerDictionary

#### startxref

    protected final long startxref

### Method Detail

#### output

    public abstract void output(OutputStream stream)
                         throws IOException

Writes the cross reference data to a PDF stream

Parameters:
  `stream` - the stream to write the cross reference to
Throws:
  `IOException` - if an I/O exception occurs while writing the data